Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/rpmlead.c File Reference

More...

`#include "system.h"`
`#include <netinet/in.h>`
`#include <rpmlib.h>`
`#include "signature.h"`
`#include "rpmlead.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
rpmRC | writeLead (FD_t fd, const struct rpmlead *lead)
rpmRC | readLead (FD_t fd, struct rpmlead *lead)
## Variables
unsigned char | lead_magic []

## Detailed Description

Definition in file rpmlead.c.

## Variable Documentation

unsigned char lead_magic[]`[static]`

| Initial value:
     {
        RPMLEAD_MAGIC0, RPMLEAD_MAGIC1, RPMLEAD_MAGIC2, RPMLEAD_MAGIC3
    }
Definition at line 20 of file rpmlead.c. Referenced by readLead, and writeLead.